BEGIN DL#BWN
// Lennon's Branwen .d file

// Version 0.8.0.4-dev
//      Insert EscapetoArea in .d file

//  1.1 This is Version 1.x; 1.1  - logic seems OK
//        line throws seem a bit crap and requires a move to areas


//  First Meeting Starts

IF ~NumTimesTalkedTo(0)~ THEN
	BEGIN FirstMeeting
	SAY ~ <CHARNAME>, <CHARNAME>, it is you! Do you remember me, its Branwen. ~
	IF ~~ THEN
		REPLY ~Branwen. Its good to see you again, how'd you get here?~
		GOTO TravelHistory
	IF ~~ THEN
		REPLY ~Branwen. I don't really have time, right now, I have important business that I'm pursuing~
		GOTO Business
	IF ~~ THEN
		REPLY ~What are you doing here, I was glad to leave you in the North~
		GOTO BadAss
END
IF ~~ THEN
	BEGIN TravelHistory
	SAY ~ After I we parted at Baldur's Gate, I went to the temple at Beregost. It was a good & peacefull time and I had a long rest, my wounds healed but I was not yet ready to settle down. I took some counsel from the Chief Priest there and he         suggested I travel south to Amn. It really wasn't quite as simple as that, and I didn't expect to catch up with you; however tell me about yourself, how have you arrived in the City of Gold. ~
	IF ~~ THEN
		REPLY ~ Same sort of story, only not so restfull! ~
		GOTO ToughTime
	IF ~~ THEN REPLY ~ I have some bad news, my journys since you left us have been dangerous and violent. Imoen has been arrested and Kahlid & Dynaheir are dead ~
                GOTO Business
	IF ~~ THEN REPLY ~ This is not a friendly city, what you don't know you can't repeat ~ GOTO Business
END
IF ~~ THEN
	BEGIN BadAss
	SAY ~ Always the Charmer! Your absence from my life had improved my view of your manners, either that or you've changed ~
	IF ~~ THEN
		REPLY ~ I'm sorry I was short with you, come on there's too much history between us to fall out now. I'm pleased to see you. ~
		GOTO Business
	IF ~~ THEN
		REPLY ~ Your memory is as worthless as your help. Now leave me alone ~
		DO    ~ SetGlobal("BranwenInsulted","LOCALS",1) ~
		GOTO DontLikeUNoMore
END
IF ~~ THEN BEGIN ToughTime
	SAY ~ Not so restfull, tell me more ~
	IF ~~ THEN
		REPLY ~ I have some bad news, my journeys since you left us have been dangerous and violent. Imoen has been arrested and Kahlid & Dynaheir are dead. I am searching the man behind both Imoen's arrest and Khalid's death, his name's Jon Irenicus. He is a powerful wizard who attacked us, captured and tortured us and killed Khalid. Imoen broke us out but I'm now worried for Imoen whose been arrested by the Cowled Wizards for illegal use of magic. ~ 		GOTO Business
END
IF ~~ THEN BEGIN Business
	SAY ~ It sounds like you could use my help again. Is this true? Do you wish to travel together again? ~
	IF ~~ THEN
		REPLY ~ Your help would be much appreciated ~
		DO ~    SetGlobal("BranwenJoined","LOCALS",1)
			JoinParty() ~
		EXIT
	IF ~~ THEN
		REPLY ~ Despite the urgency of my task, I can't take you with me, where can I find you if I need you? ~
		GOTO MaybeNextTime
	IF ~~ THEN
		REPLY ~ What gave you that idea? You weren't much help last time, Irenicus is stronger than Saverok! You're not up to it! ~
		DO    ~ SetGlobal("BranwenInsulted","LOCALS",1) ~
		GOTO DontLikeUNoMore
END

IF ~~ THEN
	BEGIN DontLikeUNoMore     /* This is an exit, it needs the walk away and probably some
                                     flags to generate the next appropriate conversations */
	SAY ~ By Tempus - I'd hoped I'd found a comrade. Well, we live and learn. ~
	IF ~~ THEN    /* Does this need the walkaway code line */
		EXIT
END

IF ~~ THEN
	BEGIN MaybeNextTime
	SAY ~ Look for me at the temple of Helm in the Bridge District, I too have things to do but if you need me that's the best place to look ~
	IF ~~ THEN
	        DO ~EscapeAreaMove("AR0512",414,302,1)~
		EXIT     /* Does this need the walkaway code line */
END

IF ~NumTimesTalkedToGT(0)~ THEN //74
	BEGIN Rejoin
	SAY ~ Ah <CHARNAME>. Do you now need my help in you quests? ~
	IF ~~ THEN
		REPLY ~ Yes Branwen, I need your help ~
		DO ~    SetGlobal("BranwenJoined","LOCALS",1)
			JoinParty() ~
		EXIT
	IF ~~ THEN
		REPLY ~ Need or not, will you join us ~
		DO ~    SetGlobal("BranwenJoined","LOCALS",1)
			JoinParty() ~
		EXIT
	IF ~~ THEN
		REPLY ~ No! My own business brought me here. I neither need nor want your help. ~
		GOTO MaybeNextTime
END
BEGIN DL#BWNP  // about 91
IF ~ GLOBAL("BranwenJoined","LOCALS",1) ~ THEN
	BEGIN KickOut
	SAY ~ I don't think we've finished our business yet. I really want to help you more. Do you really wish me to leave? ~
	IF ~~ THEN
		REPLY 	~ NO, please stay! ~
		DO 	~ JoinParty() ~
		EXIT
	IF ~~ THEN
		REPLY 	~ I need others more than you at the moment. You must go! ~
		DO 	~ SetGlobal("BranwenJoined","LOCALS",0)
                          EscapeAreaMove("AR0512",414,302,1)~ 
	        EXIT   /* Does this need the walkaway code line */
END
IF ~ GLOBAL("BranwenJoined","LOCALS",0)  ~ THEN
	BEGIN Rejoin  /* This is an inline comment */
	SAY ~ Ah <CHARNAME>. You have returned, I'm pleased, although my meditation has helped, following you in your quest is a better dedication to Tempus. Do you wish me to travel with you again? ~
	IF ~~ THEN
		REPLY 	~ Please come with us!! ~
		DO 	~ SetGlobal("BranwenJoined","LOCALS",1)
		 	JoinParty() ~
		EXIT
	IF ~~ THEN
		REPLY ~ No! I need others more than you at the moment.  ~
		// Some Dialog would be good
		DO ~EscapeAreaMove("AR0512",414,302,1)~
		EXIT     /* Does this need the walkaway code line */
END
